<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:tns="urn:be:e-contract:eseal:contract"
                xmlns:xhtml="http://www.w3.org/1999/xhtml">
    <xsl:param name="language">en</xsl:param>
    <xsl:output omit-xml-declaration="yes" indent="yes"/>
    <xsl:template match="/tns:ESealContract">
        <html>
            <body>
                <h1>eSeal Contract: <xsl:value-of select="tns:Identifier" /></h1>
                <p>
                    Date: <xsl:value-of select="tns:Date" />
                </p>
                <p>
                    Status: <xsl:value-of select="tns:Status"/>
                </p>
                <h2>Activation Certificate</h2>
                <xsl:call-template name="CertificateDetails">
                    <xsl:with-param name="certificate" select="tns:ActivationCertificate"/>
                </xsl:call-template>
                <h2>eSeal Certificate</h2>
                <xsl:call-template name="CertificateDetails">
                    <xsl:with-param name="certificate" select="tns:ESealCertificate"/>
                </xsl:call-template>
                <h2>Legal Notice</h2>
                <xsl:copy-of select="tns:LegalNotice/xhtml:html/xhtml:body/*" />
            </body>
        </html>
    </xsl:template>
    <xsl:template name="CertificateDetails">
        <xsl:param name="certificate"/>
        <p>
            Subject: <xsl:value-of select="$certificate/tns:Subject"/>
        </p>
        <p>
            Issuer: <xsl:value-of select="$certificate/tns:Issuer"/>
        </p>
        <p>
            Serial Number: <xsl:value-of select="$certificate/tns:SerialNumber"/>
        </p>
        <p>
            Not before: <xsl:value-of select="$certificate/tns:NotBefore"/>
        </p>
        <p>
            Not after: <xsl:value-of select="$certificate/tns:NotAfter"/>
        </p>
        <p>
            Fingerprint: <xsl:value-of select="$certificate/tns:Fingerprint"/>
        </p>
    </xsl:template>
</xsl:stylesheet>
